<?php
include($_SERVER['DOCUMENT_ROOT'].'/_configs/conecta.php' );
include($_SERVER['DOCUMENT_ROOT'].'/_configs/conecta2.php' );
?>
		<?php
                        $idCliente = $_SESSION["codigo"];
                        $idEmpresa = ("1");
//                        $numpedido = $_GET["numPedido"];
                        $idData = 1;
                        $idDataParent = 1;

			$queryFamilia = ("SELECT DISTINCT familia.codfamilia,desfamilia FROM DBA.familia,DBA.articulo where familia.codfamilia=articulo.codfamilia and familia.codfamilia <> 'AL' and familia.codfamilia <> 'XX'  and prod_in_fam > 0 ORDER BY desfamilia;");
			$resultado = odbc_exec($conexion_mercafruit,$queryFamilia );



			echo "
<div data-role='header' data-type='horizontal' data-position='fixed' data-theme='b'>
<a href='javascript:limpiaPedido()' data-role='button' data-theme='c' title='Borrar' class='ui-btn ui-btn-icon-notext ui-icon-delete' ></a>
";
echo "
<a href='javascript:confirmaPedido2()' data-role='button' data-theme='c' title='Comprar' class='ui-btn ui-btn-icon-notext ui-icon-shop' ></a>
</div>
 <div data-role='none'>
			";

			// comienza un bucle que leera todos los registros y ejecutara las ordenes que siguen
			while ($productosFamilia = odbc_fetch_array($resultado)) { 
				$productosFamilia['codfamilia'] = str_replace ('\xef\xbf\xbd','&Ntilde;', $productosFamilia['codfamilia']);
                echo "<div data-role='collapsible' > ";
					echo "<h3>".$productosFamilia['desfamilia']."</h3>";
					echo "<table >" ;
					$idDataParent= $idData ;
					$idData++;
					$contengan=chr(209);
					//DETALLE
					$queryArtFam = ("SELECT DISTINCT catalogo.codart codart,catalogo.desccatalogo descart,catalogo.codref codref, catalogo.codcatalogo FROM DBA.articulo,DBA.catalogo where 
							CATALOGO.CODART  NOT LIKE '%".$contengan."%'  AND 
							catalogo.activo='S' AND articulo.codart = catalogo.codart AND codsubfam <> 'DE' AND  codfamilia='".$productosFamilia['codfamilia']."'  ORDER BY desccatalogo ;");
					$resArtFam = odbc_exec($conexion_mercafruit,$queryArtFam );
					while ($productosArtFam = odbc_fetch_array($resArtFam)) { 
//$productosArtFam['descart'] =str_replace ('\xef\xbf\xbd'.'&Ntilde;',$productosArtFam['descart']);
						echo "<tr>";
							echo "<td id='descart' width='55%'>".$productosArtFam['descart']."</td>";
							echo "<td id='cantidad' width='15%'><input  type = 'number' min='0' max='99' value  id='v_".$productosArtFam['codart']."|".$productosArtFam['codref']."|".$productosArtFam['codcatalogo']."'></td>";
							echo "<td width='30%' ><select id='o_".$productosArtFam['codart']."|".$productosArtFam['codref']."|".$productosArtFam['codcatalogo']."' class='selector'>
									<option value = '' selected='selected'></option>
									<option value = 'MEDIA' >MEDIA</option>
									<option value = 'VERDE'>VERDE</option>
									<option value = 'MADURO'>MADURO</option>
									<option value = 'PEDIDO'>PEDIDO</option>
									<option value = 'CAJAGRANDE'>CAJA G</option>
									<option value = 'CAJAPEQUENA'>CAJA P</option>
								</select> </td>";
						echo "</tr>";
                    }
					odbc_free_result ($resArtFam);
					echo "</table>";
				echo "</div>";
//F DETALLE 
			} // fin del bucle de ordenes
            odbc_free_result($resultado); 
							
			//cerramos la etiqueta tabla
echo "</div>";

		?>
